# $Revision: 1.41 $, $Date: 2012/06/22 20:47:08 $
# TODO
# - build system breaks autoconf cache: i.e PKGCONFIG and FAAD should not be set to custom values
Summary:	Graphical song management program for Apple's iPod
Summary(pl.UTF-8):	Graficzny menadżer utworów muzycznych dla urządzeń Apple iPod
Name:		gtkpod
Version:	2.1.1
Release:	2
License:	GPL/LGPL
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.gz
# Source0-md5:	36fd0324fd1d1da00fcddacef1b09983
Patch0:		desktop.patch
Patch1:		itmf_tags.patch
Patch2:		%{name}-linguas.patch
URL:		http://www.gtkpod.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-gtk-devel >= 1.0
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	flac-devel >= 1.2.1
BuildRequires:	flex
BuildRequires:	gdl-devel >= 3.0.0
BuildRequires:	gettext-devel >= 0.11.0
BuildRequires:	glib2-devel >= 1:2.28.5
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.25
BuildRequires:	gtk+3-devel >= 3.0.11
BuildRequires:	gtk-webkit3-devel >= 1.3
BuildRequires:	intltool >= 0.33
BuildRequires:	libanjuta-devel >= 1:3.0
BuildRequires:	libgpod-devel >= 0.7.0
BuildRequires:	libid3tag-devel >= 0.15
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1.3.1
BuildRequires:	libxml2-devel >= 2.7.7
BuildRequires:	mp4v2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	/sbin/ldconfig
# M4A -> MP3 conversion support
Requires:	mount
Suggests:	faad2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# clears PKGCONFIG, making cache reuse impossible
%undefine	configure_cache

%description
Platform independent graphical song management program for Apple's
iPod. It allows you to upload songs and playlists to your iPod.

%description -l pl.UTF-8
Niezależne od platformy graficzny menadżer utworów muzycznych dla
urządzeń Apple iPod. Pozwala wgrywać pliki i listy utworów do iPoda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{__sed} -i -e 's!/usr/bin/awk!/bin/awk!g' scripts/ldif2vcf.sh
mv -f po/cs{_CZ,}.po

%build
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	FAAD=yes \
	--disable-static \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/gtkpod.svg

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtkpod/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/gtkpod/doc

# no -devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}
%{__rm} $RPM_BUILD_ROOT%{_pkgconfigdir}/*.pc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkpod.so

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO TROUBLESHOOTING
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libgtkpod.so.*.*.*
%ghost %{_libdir}/libgtkpod.so.1
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/%{name}
%{_datadir}/gtkpod/data
%{_datadir}/gtkpod/icons
%dir %{_datadir}/gtkpod/scripts
%attr(755,root,root) %{_datadir}/gtkpod/scripts/*
%{_datadir}/glib-2.0/schemas/org.gtkpod.gschema.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_libdir}/gtkpod
%attr(755,root,root) %{_libdir}/gtkpod/lib*.so
%{_libdir}/gtkpod/*.plugin

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkpod.spec,v $
Revision 1.41  2012/06/22 20:47:08  megabajt
- release 2 (by relup.sh)

Revision 1.40  2012/02/28 22:25:01  kiesiu
- fixed Czech locale file

Revision 1.39  2012/02/28 21:26:12  kiesiu
- updated to 2.1.1
- cleaned and added a lot of BRs

Revision 1.38  2011/08/17 22:29:56  glen
- use mp4v2 implementation instead of mpeg4ip, fix itmf_tags.h detection

Revision 1.37  2011/08/15 20:51:45  glen
- typo

Revision 1.36  2011/08/15 18:00:39  glen
- package rest of the files, ldconfig

Revision 1.35  2011/08/15 15:18:39  glen
- up to 2.1.0, gtk3 version

Revision 1.34  2011/08/15 13:57:14  glen
- up to 2.0.2, this is gtk2 version

Revision 1.33  2011/07/11 14:38:45  lisu
- dropped unused mpeg4ip-devel BR

Revision 1.32  2011/02/04 18:23:54  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.31  2011/01/27 21:26:12  sparky
- BR: intltool

Revision 1.30  2010/12/27 23:24:28  glen
- pick group with X11 in it

Revision 1.29  2010/12/27 23:23:23  glen
- up to 1.0.0

Revision 1.28  2009/05/22 13:12:51  gzohop
- rel 1 :)

Revision 1.27  2009/05/22 12:59:22  gzohop
- up to 0.99.14

Revision 1.26  2009/02/22 10:31:07  arekm
- release 4

Revision 1.25  2009/02/19 14:10:00  vip
- rel 3, STBR (rebuild with libgpod-0.7.0-1.i686 .so.4)

Revision 1.24  2008/10/20 21:41:03  blues
- rel.2

Revision 1.23  2008/10/20 21:40:32  blues
- more BR

Revision 1.22  2008/09/03 14:56:15  qboosh
- libglade2 epoch

Revision 1.21  2008/09/03 14:55:47  qboosh
- cleanup

Revision 1.20  2008/09/03 05:44:55  luzik
- updated to 0.99.12, STBR

Revision 1.19  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.17  2007/02/04 21:28:56  qrczak
- gtkpod-unk208.patch: fix for a newer libgpod
- Release 2

Revision 1.16  2007/02/01 20:26:51  patrys
- oops. corrected BR

Revision 1.15  2007/02/01 20:25:23  patrys
- 0.99.8

Revision 1.14  2006/08/31 18:25:18  matipl
 - added BuildRequires

Revision 1.13  2006/08/04 21:23:12  patrys
- up to 0.99.4

Revision 1.12  2006/04/05 18:26:52  qboosh
- BR: libgpod-devel, more versioned BRs

Revision 1.11  2006/04/02 21:50:39  qrczak
- BuildRequires: libgpod

Revision 1.10  2006/02/16 10:25:45  glen
- source alters go into %prep, missing BR

Revision 1.9  2006/02/16 04:17:06  aredridel
- up to 0.94.0 (thanks imphasing@gmail.com)

Revision 1.8  2005/11/06 11:25:17  glen
- missing BR

Revision 1.7  2005/11/06 11:21:04  glen
- cosmetics

Revision 1.6  2005/09/02 17:48:22  megabajt
- up to 0.94.0

Revision 1.5  2005/05/11 12:00:24  darekr
- updated to 0.88.2; killed empty NEWS file

Revision 1.4  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.3  2005/01/20 09:03:01  krzak
- rel. 1
- desktop file
- cleanups

Revision 1.2  2005/01/11 19:54:30  qboosh
- pl fixes, removed dup from files; strange BR detected

Revision 1.1  2005/01/11 12:08:43  krzak
- initial
